
using APT.Infrastructure.EF.Map;
using APT.BaseData.Domain.Entities.FM;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping.FM
{
	public class FMPanelInfoMap : APTEntityBaseMap<T_FM_PANEL_INFO>
    {
		public override void Configure(EntityTypeBuilder<T_FM_PANEL_INFO> builder)
		{
			base.Configure(builder);
			builder.HasOne(t => t.Nav_Info).WithMany()
			  .HasForeignKey(t => t.INFO_ID);
		} 
    }
}